diff --git a/debian/aide.conf.d/31_aide_bind9 b/debian/aide.conf.d/31_aide_bind9
index 06950c1..3176a2e 100644
--- a/debian/aide.conf.d/31_aide_bind9
+++ b/debian/aide.conf.d/31_aide_bind9
@@ -1,5 +1,5 @@
 @@ifdef BINDCHROOT
-@@{BINDCHROOT}/dev/log$ LowLogs
+@@{BINDCHROOT}/dev/log$ LowLog
 @@{BINDCHROOT}/dev VarDir
 @@endif
 @@{BINDCHROOT}/var/log/bind/queries\.log$ Log
diff --git a/debian/changelog b/debian/changelog
index c1c4959..5c76900 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+aide (0.15.1-3) unstable; urgency=low
+
+  [ Marc Haber ]
+  * 31_aide_bind9:
+    - fix wrong group (closes: #612405)
+
+  [ Hannes von Haugwitz ]
+  * debian/patches/05-configure_32-bit_lfs_fix.dpatch: new
+    - fixed lfs on 32-bit systems (closes: #615111)
+
+ -- Hannes von Haugwitz <hannes@vonhaugwitz.com>  Fri, 11 Mar 2011 09:50:46 +0100
+
 aide (0.15.1-2) unstable; urgency=low
 
   * debian/po/da.po:
diff --git a/debian/patches/00list b/debian/patches/00list
index 8bf570a..df151de 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1 +1,2 @@
+05-configure_32-bit_lfs_fix
 10-manpages
diff --git a/debian/patches/05-configure_32-bit_lfs_fix.dpatch b/debian/patches/05-configure_32-bit_lfs_fix.dpatch
new file mode 100755
index 0000000..f40b290
--- /dev/null
+++ b/debian/patches/05-configure_32-bit_lfs_fix.dpatch
@@ -0,0 +1,24 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 05-configure_32-bit_lfs_fix.dpatch
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Description: Fix large file support on 32-bit systems
+## DP: Forwarded: not-needed
+## DP: Author: Hannes von Haugwitz <hannes@vonhaugwitz.com>
+## DP: Applied-Upstream: 0.16a1, http://aide.git.sourceforge.net/git/gitweb.cgi?p=aide/aide;a=commit;h=92c7878
+## DP: Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=615111
+## DP: Last-Update: 2011-03-11
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' aide~/configure aide/configure
+--- aide~/configure	2011-03-11 06:23:39.000000000 +0000
++++ aide/configure	2011-03-11 06:29:11.000000000 +0000
+@@ -6435,7 +6435,7 @@
+ if test "x$ac_cv_func_lstat64" = x""yes; then :
+   ac_fn_c_check_func "$LINENO" "stat64" "ac_cv_func_stat64"
+ if test "x$ac_cv_func_stat64" = x""yes; then :
+-  AIDE_DEFS="$AIDE_DEFS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS"
++  AIDE_DEFS="$AIDE_DEFS -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
+ 	AIDE_LSTAT_FUNC="lstat64"
+ 	compoptionstring="${compoptionstring}WITH_LSTAT64\\n"
+ 	AIDE_STAT_FUNC="stat64"
